Method: caseWallRecords.queryAvailableCaseWallRecordTags

Full name: projects.locations.instances.cases.caseWallRecords.queryAvailableCaseWallRecordTags

Queries all CaseActivityTags.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/caseWallRecords:queryAvailableCaseWallRecordTags

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent to query tags for.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of tags to return.

pageToken

string

Optional. A page token, received from a previous caseWallRecords.queryAvailableCaseWallRecordTags call.

filter

string

Optional. The filter string.

orderBy

string

Optional. The order by string.

Request body

The request body must be empty.

Response body

Response message for caseWallRecords.queryAvailableCaseWallRecordTags.

If successful, the response body contains data with the following structure:

JSON representation
{
  "tags": [
    {
      object (CaseActivityTag)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
tags[]

object (CaseActivityTag)

The list of case activity tags.

nextPageToken

string

Next page token.

totalSize

integer

Total size.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.caseWallRecords.get

For more information, see the IAM documentation.